// <!--

// -- POPUP WINDOWS -------------------------------------
function generate_popup() {
  var j_pw = "\r\n";
  j_pw += '<div id="pw">\r\n';
  j_pw += '  <div class="pw_bg"></div>\r\n';
  j_pw += '  <div class="pw_center">\r\n';
  j_pw += '    <div class="pw_head">\r\n';
  j_pw += '      <div id="a_pw_close">x</div>\r\n';
  j_pw += '      <div id="div_pw_title">&nbsp;</div>\r\n';
  j_pw += '    </div>\r\n';
  j_pw += '    <div class="pw_body">\r\n';
  j_pw += '      <iframe scrolling="no" frameborder="0" src="about:blank" id="frame_pw"></iframe>\r\n';
  j_pw += '    </div>\r\n';
  j_pw += '  </div>\r\n';
  j_pw += '</div>\r\n';

  jQuery("body").append(j_pw);
}

function fix_pw() {
  var j_pw = jQuery("#pw");
  var j_pw_c = j_pw.find(".pw_center");
  var j_pw_h = j_pw_c.height();
  var j_window = jQuery(window);
  var j_window_h = j_window.height();
  var j_margin = (j_window_h - j_pw_h) / 2;
  if (j_margin > 5) {
    j_pw_c.css("padding-top", j_margin);
  }
}

function ui_popup_close() {
  function __do_close(doc) {
    var j_pw = jQuery("#pw", doc);
    var j_pw_title = jQuery("#div_pw_title", doc);
    var j_pw_frame = jQuery("#frame_pw", doc);
    
    j_pw_title.html("&nbsp;")
    j_pw_frame.attr("src", "about:blank");
    //j_pw.attr("class", "nop");
    j_pw.removeClass("active");

    return false;
  }
  __do_close(window.top.document);
}

jQuery(document).ready(function() {
  function open_popup(j_this, attr) {
    var j_pw = jQuery("#pw");
    var j_pw_title = j_pw.find("#div_pw_title");
    var j_pw_frame = j_pw.find("#frame_pw");

    var p_href = j_this.attr(attr);
    j_pw_title.html(j_this.attr("title"))
    j_pw.addClass("active");
    j_pw_frame.attr("src", p_href);
    fix_pw();
    return false;
  };

  jQuery("a.popup")
    .bind("click", function() {
      open_popup(jQuery(this), "href");
      return false;
    });

  jQuery("body").on("click", "#a_pw_close", function() {
    ui_popup_close();
  })
  jQuery("body").on("mouseenter", "#a_pw_close", function() {
    jQuery(this).addClass("close_popup_act");
  })
  jQuery("body").on("mouseleave", "#a_pw_close", function() {
    jQuery(this).removeClass("close_popup_act");
  })
  /*
  jQuery("#a_pw_close")
    .bind("click", ui_popup_close)
    .hover(
      function(){
        jQuery(this).addClass("close_popup_act");
      },
      function() {
        jQuery(this).removeClass("close_popup_act");
      }
    );
  */

  jQuery(window).resize(function() {
    fix_pw();
  })

});

// -- TEXTBOX -------------------------------------------
jQuery(document).ready(function() {
  jQuery("input.textbox").each(function() {
    var j_tb_this = jQuery(this);
    var j_text_this = jQuery(this).val();
    var j_text = jQuery(this).attr("title");

    if ((j_text_this == "" || (j_text_this == j_text))) {
      j_tb_this.addClass("wm");
      j_tb_this.val(j_text);
    }

    j_tb_this.focus(function() {
      var j_text_this = jQuery(this).val();
      if ((j_text_this == "") || (j_text_this == j_text)) {
        j_tb_this.removeClass("wm");
        j_tb_this.val("");
      }
    })

    j_tb_this.blur(function() {
      var j_text_this = jQuery(this).val();
      if ((j_text_this == "") || (j_text_this == j_text)) {
        j_tb_this.addClass("wm");
        j_tb_this.val(j_text);
      }
    })
  })
})

/*
// -- PIN -----------------------------------------------
jQuery(document).ready(function() {
  jQuery("div.pin .btn").click(function() {
    var j_pin = "rustass2012";
    var j_error = "Неверный пин";
    var j_val = jQuery("div.pin .textbox").val();
    if (j_val != j_pin) {
      jQuery("div.pin .validator").html(j_error);
      return false;
    } else {
      jQuery("div.pin .validator").html("");
    }
  })
})
*/

// -- DATE ----------------------------------------------
function parseDate(value) {
	var tmp = value.split(".");
  var j_day = parseInt(tmp[0], 10);
  var j_month = parseInt(tmp[1], 10) - 1;
  var j_year = parseInt(tmp[2], 10);
	return { day: j_day, month: j_month, year: j_year };
}

function f_getDate(j_date) {
  var j_date_parse = parseDate(j_date);
  var j_new_date = new Date;
  j_new_date.setFullYear(j_date_parse['year']);
  j_new_date.setMonth(j_date_parse['month']);
  j_new_date.setDate(j_date_parse['day']);
  j_new_date.setHours('12');
  j_new_date.setMinutes('0');
  j_new_date.setSeconds('0');
  j_new_date.setMilliseconds('0');
  return j_new_date;
}

jQuery(document).ready(function() {
  jQuery("div.wd .textbox").each(function() {
    var j_this = jQuery(this);
    j_this.datepicker({
      dateFormat: "dd.mm.yy",
      firstDay: 1,
      dayNames: ["Воскресенье", "Понедельник", "Вторник", "Среда", "четверг", "Пятница", "Суббота"],
      dayNamesMin: ["ВС", "ПН", "ВТ", "СР", "ЧТ", "ПТ", "СБ"],
      monthNames: ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"],
      monthNamesShort: ["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"]
    });
  })
})

// -->

